/*
 * fstat.c
 */


#include<unistd.h>
#include<sys/types.h>
#include<callgate.h>

#include<errno.h>
#include<fcntl.h>
#include<sys/stat.h>


extern void setTimespec(struct stat *buf);
extern int _stat(int,const char*,struct stat*);


int fstat(int fildes,struct stat *buf)
{
	if (_stat(fildes,NULL,buf) == -1)
		return -1;
	setTimespec(buf);

	return 0;
}
